Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class Segmentation

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.ConceptOperator
              edu.udo.cs.miningmart.operator.MultipleCSOperator
                  edu.udo.cs.miningmart.operator.Segmentation

Direct Known Subclasses:
  Repeat, SegmentationByPartitioning, SegmentationStratified

public abstract class Segmentation
extends MultipleCSOperator

This is the abstract super class for all Segmentation operators.

Version:
  $Id: Segmentation.java,v 1.5 2006/04/11 14:10:11 euler Exp $
Author:
  Timm Euler, Martin Scholz

Field Summary

Fields inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`generatedSQLDefinitions`

Constructor Summary
`Segmentation()`

Method Summary
`abstract java.lang.String` | `generateConditionForOp(int columnSetIndex)` Abstract method to be implemented by all Segmentation operators.
`java.lang.String` | `generateSQLDefinition(java.lang.String selectPart, int index)` This method must return the SQL definition of the newly created ColumnSet.
`java.lang.String` | `getTypeOfNewColumnSet(int index)` This method must return the entry String for the M4 table "Columnset_t", indicating whether the new Columnset is a view or a table.
`protected boolean` | `mustCopyFeature(java.lang.String nameOfFeature)` This method is for operators that do not copy all Features of the input concept to the output concept.
`int` | `numberOfColumnSets()` Must return the number of ColumnSets this operator will produce.
`abstract int` | `numberOfSegments()` Abstract method to be implemented by all Segmentation operators.
`abstract void` | `setCSSegmentInfo(java.lang.String inputMultiStepBranch, Columnset cs, int index)` Abstract method to be implemented by all Segmentation operators.
`protected void` | `setNewCSMultiStepBranch(Columnset newCS, int index)` Overrides the corresponding method of class `ConceptOperator`.

Methods inherited from class edu.udo.cs.miningmart.operator.MultipleCSOperator
`generateColumnSetsForOp`

Methods inherited from class edu.udo.cs.miningmart.operator.ConceptOperator
`compileStatement, createMetadata, createMetadataForOneBA, createSingleColumnSet, createStatement, estimateStatistics, generateColumns, getInputConcept, getNewCSName, getOutputConcept, getStringForSelection`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, execute, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getSingleParameter, getSingleParameter, getStep, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, load, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Segmentation

    public Segmentation()

Method Detail

### generateSQLDefinition

    public java.lang.String generateSQLDefinition(java.lang.String selectPart,
                                                  int index)
                                           throws M4CompilerError

  Description copied from class: `ConceptOperator`
  This method must return the SQL definition of the newly created ColumnSet.

  Specified by:
    `generateSQLDefinition` in class `ConceptOperator`
  Parameters:
    `selectPart` - The String for the SELECT-part of the SQL definition to be created.
    `index` - An index for MultipleCSOperators.
  Returns:
    The SQL definition for the new ColumnSet.
  Throws:
    `M4CompilerError`
  See Also:
    `edu.udo.cs.miningmart.m4.core.operator.ConceptOperator#generateSQLDefinition(String, int)`

### getTypeOfNewColumnSet

    public java.lang.String getTypeOfNewColumnSet(int index)

  Description copied from class: `ConceptOperator`
  This method must return the entry String for the M4 table "Columnset_t", indicating whether the new Columnset is a view or a table. Use the constants in the class Columnset, either CS_TYPE_TABLE or CS_TYPE_VIEW.

  Specified by:
    `getTypeOfNewColumnSet` in class `ConceptOperator`
  Parameters:
    `index` - An index for MulipleCSOperators.
  Returns:
    The type of the new Columnset, either Columnset.CS_TYPE_TABLE or Columnset.CS_TYPE_VIEW.
  See Also:
    `edu.udo.cs.miningmart.m4.core.operator.ConceptOperator#getTypeOfNewColumnSet(int)`

### mustCopyFeature

    protected boolean mustCopyFeature(java.lang.String nameOfFeature)

  Description copied from class: `ConceptOperator`
  This method is for operators that do not copy all Features of the input concept to the output concept.

  Specified by:
    `mustCopyFeature` in class `ConceptOperator`
  Parameters:
    `nameOfFeature` - Name of the feature in question.
  Returns:
    TRUE if this feature should be copied to the output concept, FALSE if not.
  See Also:
    `edu.udo.cs.miningmart.m4.core.operator.ConceptOperator#mustCopyFeature(String)`

### numberOfColumnSets

    public int numberOfColumnSets()
                           throws M4CompilerError

  Description copied from class: `MultipleCSOperator`
  Must return the number of ColumnSets this operator will produce.

  Specified by:
    `numberOfColumnSets` in class `MultipleCSOperator`
  Returns:
    the number of Columnsets this operator will produce
  Throws:
    `M4CompilerError`
  See Also:
    `edu.udo.cs.miningmart.m4.core.operator.MultipleCSOperator#numberOfColumnSets`

### setNewCSMultiStepBranch

    protected void setNewCSMultiStepBranch(Columnset newCS,
                                           int index)
                                    throws M4CompilerError

  Overrides the corresponding method of class `ConceptOperator`. This is done in order to extend the information on multi step branching, underlying the generation of the `Columnset`.

  Overrides:
    `setNewCSMultiStepBranch` in class `ConceptOperator`
  Parameters:
    `newCS` - the Columnset that is created by this operator
    `index` - An index for MulipleCSOperators.
  Throws:
    `M4CompilerError`
  See Also:
    `edu.udo.cs.miningmart.m4.core.operator.ConceptOperator#setNewCSMultiStepBranch`

### generateConditionForOp

    public abstract java.lang.String generateConditionForOp(int columnSetIndex)
                                                     throws M4CompilerError

  Abstract method to be implemented by all Segmentation operators. The SQL condition for segmenting the input columnset is generated by this method.

  Parameters:
    `columnSetIndex` - The number of the columnset for which the condition is to be generated
  Returns:
    the SQL condition as a String
  Throws:
    `M4CompilerError`

### numberOfSegments

    public abstract int numberOfSegments()
                                  throws M4CompilerError

  Abstract method to be implemented by all Segmentation operators. The number of segments that will be created is returned.

  Returns:
    the number of segments that will be created
  Throws:
    `M4CompilerError`

### setCSSegmentInfo

    public abstract void setCSSegmentInfo(java.lang.String inputMultiStepBranch,
                                          Columnset cs,
                                          int index)
                                   throws M4CompilerError

  Abstract method to be implemented by all Segmentation operators. The multistep information about how the segmentation was done is set into the newly created columnset.

  Parameters:
    `inputMultiStepBranch` - the multistep information of the input columnset
    `cs` - the current output columnset
    `index` - the index of the output columnset
  Throws:
    `M4CompilerError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005